import Dialog from '../mixins/dialog';
import ListPage from '../mixins/listPage';
import CampusListPage from '../mixins/campusListPage';
import Operator from '../mixins/operator';
import Admin from '../mixins/admins/admins';
import Menu from '../mixins/menu/menus';
import UserInfoLabel from '../mixins/user/getUserInfoLabel';
import UserBaseInfo from '../mixins/user/userBaseInfo';
import Area from '../components/input/AreaSelect/mixin';
import BaseData from '../components/input/BaseDataSelect/mixin';
import BeanType from '../components/input/BeanTypeSelect/mixin';
import OperatorOptions from '../components/input/OperatorSelect/mixin';
import ServiceType from '../components/input/ServiceTypeSelect/mixin';

export default {
  Dialog,
  ListPage,
  CampusListPage,
  Operator,
  Admin,
  Menu,
  UserInfoLabel,
  UserBaseInfo,
  Input: {
    Area,
    BaseData,
    BeanType,
    OperatorOptions,
    ServiceType,
  },
};
